 wrong number of arguments (given 1, expected 0)

12/19/2018 03:16 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman_s

etup/pull/34

  

Description

when trying the plugin with recent foreman (1.20) the following is observed:

ArgumentError

wrong number of arguments (given 1, expected 0)

/usr/share/foreman/app/models/provisioning_template.rb:153:in `build_pxe_default'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_setup-6.0.0/app/controllers/foreman_setup/pro

visioners_controller.rb:99:in `step4'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/ba

sic_implicit_render.rb:6:in `send_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/abstract_controller/base.r

b:194:in `process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/re

ndering.rb:30:in `process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/abstract_controller/callba

cks.rb:42:in `block in process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callback

s.rb:109:in `block in run_callbacks'

/usr/share/foreman/app/controllers/concerns/application_shared.rb:15:in `set_timezone'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callback

s.rb:118:in `block in run_callbacks'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callback

s.rb:118:in `block in run_callbacks'

/usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in `set_topbar

_sweeper_controller'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callback

s.rb:118:in `block in run_callbacks'

/opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.7.1/lib/audited/sweeper.rb:14:in `around'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callback

s.rb:118:in `block in run_callbacks'

/opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.7.1/lib/audited/sweeper.rb:14:in `around'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callback

s.rb:118:in `block in run_callbacks'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callback

s.rb:136:in `run_callbacks'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/abstract_controller/callba

cks.rb:41:in `process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/re

scue.rb:22:in `process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/in

strumentation.rb:34:in `block in process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/notifica

tions.rb:168:in `block in instrument'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/notifica
tions/instrumenter.rb:23:in `instrument'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/notifica

tions.rb:168:in `instrument'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/in

strumentation.rb:32:in `process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal/pa

rams_wrapper.rb:256:in `process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activerecord-5.2.1/lib/active_record/railties/c

ontroller_runtime.rb:24:in `process_action'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/abstract_controller/base.r

b:134:in `process'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionview-5.2.1/lib/action_view/rendering.rb:3

2:in `process'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal.rb

:191:in `dispatch'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_controller/metal.rb

:252:in `dispatch'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/routing/ro

ute_set.rb:52:in `dispatch'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/routing/ro

ute_set.rb:34:in `serve'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/journey/ro

uter.rb:52:in `block in serve'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/journey/ro

uter.rb:35:in `each'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/journey/ro

uter.rb:35:in `serve'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/routing/ro

ute_set.rb:840:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.14/lib/apipie/static_dispatcher.rb:6

5:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.14/lib/apipie/extractor/recorder.rb:

137:in `call'

/usr/share/foreman/lib/middleware/telemetry.rb:9:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.14/lib/apipie/middleware/checksum_in

_headers.rb:27:in `call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:8:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/tempfile_reaper.rb:15:in `c

all'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/etag.rb:25:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/conditional_get.rb:38:in `c

all'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/head.rb:12:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/http/conte

nt_security_policy.rb:18:in `call'

/usr/share/foreman/lib/middleware/logging_context.rb:23:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/session/abstract/id.rb:232:

in `context'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/session/abstract/id.rb:226:

in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware

/cookies.rb:670:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware

/callbacks.rb:28:in `block in call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/callback

s.rb:98:in `run_callbacks'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware

/callbacks.rb:26:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware

/debug_exceptions.rb:61:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware

/show_exceptions.rb:33:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/railties-5.2.1/lib/rails/rack/logger.rb:38:in `

call_app'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/railties-5.2.1/lib/rails/rack/logger.rb:28:in `

call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/sprockets-rails-3.2.1/lib/sprockets/rails/quiet
_assets.rb:13:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware

/remote_ip.rb:81:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware

/request_id.rb:27:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/method_override.rb:22:in `c

all'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/runtime.rb:22:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/activesupport-5.2.1/lib/active_support/cache/st

rategy/local_cache_middleware.rb:29:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware

/executor.rb:14:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionpack-5.2.1/lib/action_dispatch/middleware

/static.rb:127:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/sendfile.rb:111:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-6.0.0/lib/secure_headers/middleware.rb

:13:in `call'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/railties-5.2.1/lib/rails/engine.rb:524:in `call

'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/railties-5.2.1/lib/rails/railtie.rb:190:in `pub

lic_send'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/railties-5.2.1/lib/rails/railtie.rb:190:in `met

hod_missing'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/urlmap.rb:68:in `block in c

all'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/urlmap.rb:53:in `each'

/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/rack-2.0.5/lib/rack/urlmap.rb:53:in `call'

/usr/share/passenger/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_request'

/usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_and_proces

s_next_request'

/usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:109:in `main_loop'

/usr/share/passenger/phusion_passenger/request_handler.rb:455:in `block (3 levels) in start_thread

s'

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.2.2/lib/logging/diagnostic_context.rb:474:i

n `block in create_with_logging_context'

Related issues:

Related to Foreman - Refactor #22529: Refactor Template rendering to use a pr... Closed

Related to Foreman - Bug #30337: Setting up provisioning ends in error Closed

Associated revisions

Revision 18b4b331 - 02/05/2019 12:27 PM - Lukas Zapletal 

Fixes #25734 - wrong number of args for build_pxe_default

History

#1 - 12/23/2018 03:57 PM - Shimon Shtein

- Related to Refactor #22529: Refactor Template rendering to use a proper rendering service added

#2 - 01/31/2019 09:53 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman_setup/pull/34 added

#3 - 02/05/2019 01:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman_setup|18b4b331f962aaa8c151a2676e59fe2167ec2c2d.

#4 - 08/06/2020 11:26 AM - Lukas Zapletal

- Related to Bug #30337: Setting up provisioning ends in error added
